formats.h(3)

NAME
formats.h -

Payload types and formats.

SYNOPSIS

  Classes
class PayloadFormat
Base payload format class.
class StaticPayloadFormat
Static payload format objects.
class DynamicPayloadFormat
Dynamic payload format objects.

  Typedefs
typedef uint8 PayloadType
RTP payload type numeric identifier.

  Enumerations
enum StaticPayloadType { sptPCMU = 0, firstStaticPayloadType = sptPCMU, sptG726_32 = 2, sptGSM, sptG723, sptDVI4_8000, sptDVI4_16000, sptLPC, sptPCMA, sptG722, sptL16_DUAL, sptL16_MONO, sptQCELP, sptMPA = 14, sptG728, sptDVI4_11025, sptDVI4_22050, sptG729, lastStaticAudioPayloadType = sptG729, sptCELB = 25, sptJPEG, sptNV = 28, sptH261 = 31, sptMPV, sptMP2T, sptH263, lastStaticPayloadType = sptH263 }
RTP static payload types (default bindings) defined in the AVP profile.

  Variables
const PayloadType ptINVALID = 128
Predefined value for invalid or uninitialized payload type variables.

Detailed Description

Payload types and formats.

Author

Generated automatically by Doxygen for ccRTP from the source code.